SKB_NEEDS_LINEARIZE(9)

NAME
skb_needs_linearize - check if we need to linearize a given skb depending on the given device features.

SYNOPSIS

bool skb_needs_linearize(struct sk_buff * skb, netdev_features_t features);

ARGUMENTS

skb
    socket buffer to check

features
    net device features

RETURNS TRUE IF EITHER

1. skb has frag_list and the device doesn't support FRAGLIST, or 2. skb is fragmented and the device does not support SG.

COPYRIGHT